﻿using Infrastructure;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;

namespace ModuleA
{
    public class ModuleAModule : IModule
    {
        private readonly IRegionManager _regionManager;
        private readonly IUnityContainer _container;

        public ModuleAModule(IRegionManager regionManager, IUnityContainer container)
        {
            _regionManager = regionManager;
            _container = container;
        }

        public void Initialize()
        {
            IRegion mainRegion = _regionManager.Regions[RegionNames.MainRegion];
            mainRegion.Add(_container.Resolve<SampleView>());
            mainRegion.Add(_container.Resolve<SampleView>());
            mainRegion.Add(_container.Resolve<SampleView>());
            mainRegion.Add(_container.Resolve<SampleView>());
        }
    }
}
